Package org.opensaml.saml.common.binding

# Interface EndpointResolver<EndpointType extends Endpoint>

Type Parameters:
  `EndpointType` - the type of endpoint to resolve

All Superinterfaces:
  `Resolver<EndpointType,CriteriaSet>`

All Known Implementing Classes:
  `AbstractEndpointResolver`, `DefaultEndpointResolver`

public interface EndpointResolver<EndpointType extends Endpoint> extends Resolver<EndpointType,CriteriaSet>
A resolver that is capable of resolving `Endpoint` instances which meet certain supplied criteria. At a minimum, an `EndpointResolver` implementation MUST support the following criteria:

- `BindingCriterion`
- `EndpointCriterion`
- `RoleDescriptorCriterion`

## Method Summary

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`